from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XUrlContainer(XInterface, Protocol):
    def addUrl(self, Url: str, MakePersistent: bool) -> None: ...
    def findUrl(self, Url: str) -> str: ...
    def removeUrl(self, Url: str) -> None: ...
    def getUrls(self, OnlyPersistent: bool) -> list[str]: ...
